Subject: Re: [idn] Who supports UDNS (ACE+UTF-8)

From: "Eric A. Hall" <[email-masked]>
Date: Sun, 01 Jul 2001 11:24:53 -0500

> Thus, *if* we have the opportunity to 'fix' this, why do we need to
> change to 63 Unicode character limit too? Why not more just in case?

*when* we go to UTF8-over-EDNS (hehe) it will be important to make it
enticing to users and developers. Keeping as many rules as similar as
possible across the methods will be important to the latter camp. If they
have a web form which allows input, they won't want to have server-side
and client-side input controls based on whether the input is ASCII or
UTF8. That would be really hard.

Sticking with 63 "characters" means that input rules work the same whether
they are ASCII or UTF8.

Usability will be the defining factor for success, IMO. Making it hard to
deploy is self-defeating.

-- 
Eric A. Hall                                        http://www.ehsco.com/
Internet Core Protocols          http://www.oreilly.com/catalog/coreprot/

---

From: [email-masked]
Date: Mon, 02 Jul 2001 12:29:45 +1000

> - uses EDNS to allow longer labels than 63 bytes.

	EDNS is useless for this.  See the experience with bitstring
	labels deployment.  Extending the label size has the same
	problems.  In both cases you are using the new label types
	in the question and not in only in the answer.

--
Mark Andrews, Nominum Inc.
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

---

From: "Edmon" <[email-masked]>
Date: Tue, 3 Jul 2001 10:02:51 -0400

Sorry for the slow reply... it was "flag day" here in Canada.. ;-)
I mean that if we use EDNS to signal IDN and then specify that the
"count"="character count" instead of "octet count" then we can have 63
characters all through.
Edmon

----- Original Message -----
From: "John C Klensin" <[email-masked]>
To: "Edmon" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, June 29, 2001 7:39 PM
Subject: Re: [idn] Who supports UDNS (ACE+UTF-8)

> --On Friday, 29 June, 2001 18:20 -0400 Edmon <[email-masked]>
> wrote:
>
> >...
> > Perhaps if we use UCS directly then the "count" can actually
> > be the number of Unicode code points and every language will
> > have 63 "character" spaces to use.
>
> Edmon,
>
> I have having trouble understanding what you are proposing here.
> The limit of 63 octets is a fundamental DNS limitation, at least
> within Class=IN (I can imagine having rules that would extend it
> in other Classes, just as I can imagine EDNS rules that would
> extend it).  Consequently, "use of UCS[-4?] directly" presumably
> means that every language gets 15 character names (and you still
> need code tagging, but maybe we can make the three spare octets
> sufficient for that).
>
> Or are you planning a "flag day" replacement for the DNS?
>
> What am I missing?
>
>    john
>